/*
 * Line6 Linux USB driver - 0.6.5
 *
 * Copyright (C) 2005, 2006 Markus Grabner (grabner@icg.tu-graz.ac.at)
 *
 *	This program is free software; you can redistribute it and/or
 *	modify it under the terms of the GNU General Public License as
 *	published by the Free Software Foundation, version 2.
 *
 */

#ifndef USBDEFS_H
#define USBDEFS_H


#define LINE6_VENDOR_ID  0x0e41

/*
	USB interface to use.
*/
#define LINE6_INTERFACE 0

/*
	Device ids.
*/
#define LINE6_DEVID_BASSPODXT     0x4250
#define LINE6_DEVID_BASSPODXTLIVE 0x4642
#define LINE6_DEVID_BASSPODXTPRO  0x4252
#define LINE6_DEVID_PODXT         0x5044
#define LINE6_DEVID_PODXTLIVE     0x4650
#define LINE6_DEVID_PODXTPRO      0x5050
#define LINE6_DEVID_TONEPORT      0x4141
#define LINE6_DEVID_VARIAX        0x534d

#define LINE6_BIT_BASSPODXT       (1 << 0)
#define LINE6_BIT_BASSPODXTLIVE   (1 << 1)
#define LINE6_BIT_BASSPODXTPRO    (1 << 2)
#define LINE6_BIT_PODXT           (1 << 3)
#define LINE6_BIT_PODXTLIVE       (1 << 4)
#define LINE6_BIT_PODXTPRO        (1 << 5)
#define LINE6_BIT_VARIAX          (1 << 6)
#define LINE6_BIT_TONEPORT        (1 << 7)

#define LINE6_BITS_PRO            (LINE6_BIT_BASSPODXTPRO | LINE6_BIT_PODXTPRO)
#define LINE6_BITS_LIVE           (LINE6_BIT_BASSPODXTLIVE | LINE6_BIT_PODXTLIVE)
#define LINE6_BITS_PODXTALL       (LINE6_BIT_PODXT | LINE6_BIT_PODXTLIVE | LINE6_BIT_PODXTPRO)
#define LINE6_BITS_BASSPODXTALL   (LINE6_BIT_BASSPODXT | LINE6_BIT_BASSPODXTLIVE | LINE6_BIT_BASSPODXTPRO)
// #define LINE6_BITS_XTALL          (LINE6_BITS_PODXTALL | LINE6_BITS_BASSPODXTALL)
// #define LINE6_BITS_POD            (LINE6_BIT_BASSPODXT | LINE6_BIT_BASSPODXTLIVE | LINE6_BIT_BASSPODXTPRO | LINE6_BIT_PODXT | LINE6_BIT_PODXTLIVE | LINE6_BIT_PODXTPRO)


#endif
